"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _flush = _interopRequireDefault(require("@webiny/api-prerendering-service/flush"));
var _handlerAws = require("@webiny/handler-aws");
var _default = params => {
  const flush = (0, _flush.default)(params);
  return (0, _handlerAws.createEventBridgeEventHandler)(async params => {
    const {
      payload,
      reply
    } = params;
    if (payload["detail-type"] !== "FlushPages") {
      return reply.send({});
    }
    return flush.cb({
      ...params,
      payload: payload.detail
    });
  });
};
exports.default = _default;

//# sourceMappingURL=flush.js.map